Subject: Re: [PATCH 03/32] fs: introduce new ->get_poll_head and ->poll_mask methods

From: Christoph Hellwig <[email-masked]>
Date: Wed, 17 Jan 2018 17:05:43 +0100

On Thu, Jan 11, 2018 at 05:47:50PM +0000, Al Viro wrote:
> What I mean is that it would be nice to have do_select() and friends aware of that.
> You are hiding the whole thing behind vfs_poll(); sure, we can't really exploit
> that while we have the mix of converted and unconverted instances, but it would
> be a nice payoff.

I have tried to move it out, but I don't think it makes sense yet,
given that we rely on passing the poll_table_struct everywhere.

Btw, another issue: the procs and debugfs forwarders are in fact
already broken right now for epoll and in-kernel callers.  ->poll
returning does not mean it is safe to release the module - it
may still have an active wait_queue_entry on the waitqueue.

For now I think I'll drop the support for the proc/debugfs forwarders,
because they will need a real fix independent of this series.